Auto-Reload-Einstellungen aktualisieren
Auto-Reload-Einstellungen für das angemeldete Konto aktualisieren.
curl -X POST "https://api.talkturo.com/api/credits/auto-reload" \
-H "Content-Type: application/json" \
-d '{
"auto_reload_enabled": true,
"auto_reload_threshold": 3.14,
"auto_reload_amount_usd": 3.14
}'
import requests
import json
url = "https://api.talkturo.com/api/credits/auto-reload"
headers = {
"Content-Type": "application/json"
}
data = {
"auto_reload_enabled": true,
"auto_reload_threshold": 3.14,
"auto_reload_amount_usd": 3.14
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.talkturo.com/api/credits/auto-reload", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"auto_reload_enabled": true,
"auto_reload_threshold": 3.14,
"auto_reload_amount_usd": 3.14
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"auto_reload_enabled": true,
"auto_reload_threshold": 3.14,
"auto_reload_amount_usd": 3.14
}`)
req, err := http.NewRequest("POST", "https://api.talkturo.com/api/credits/auto-reload", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/credits/auto-reload')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request.body = '{
"auto_reload_enabled": true,
"auto_reload_threshold": 3.14,
"auto_reload_amount_usd": 3.14
}'
response = http.request(request)
puts response.body
{}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
POST
/credits/auto-reload
POST
Base URLstring
Target server for requests. Edit to use your own host.
API Key (cookie: sb-access-token)
sb-access-tokenstring
RequiredAuthentifiziertes Talkturo-Web-Session-Cookie (Supabase-httpOnly-Session). Browser-Clients senden dies nach der Anmeldung typischerweise automatisch. Je nach Client können auch zugehörige Refresh-Cookies vorhanden sein.
Authentifiziertes Talkturo-Web-Session-Cookie (Supabase-httpOnly-Session).
Browser-Clients senden dies nach der Anmeldung typischerweise automatisch.
Je nach Client können auch zugehörige Refresh-Cookies vorhanden sein.
Content-Typestring
RequiredThe media type of the request body
Options: application/json
Request Preview
Response
Response will appear here after sending the request
Authentication
path
parameterstring
RequiredAPI Key for authentication. Authentifiziertes Talkturo-Web-Session-Cookie (Supabase-httpOnly-Session). Browser-Clients senden dies nach der Anmeldung typischerweise automatisch. Je nach Client können auch zugehörige Refresh-Cookies vorhanden sein.
Body
application/json
Responses
Auto-Reload-Einstellungen aktualisiert
Was this page helpful?